package com.javaseleniumtemplate.tests.Estoque;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.PosicaoDeEstoqueFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.EstoquePages.Estoque.PosicaoDeEstoquePage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.annotations.Test;


public class PosicaoDeEstoqueTests extends TestBase {

    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    PosicaoDeEstoqueFlows posicaoDeEstoqueFlows;
    PosicaoDeEstoquePage posicaoDeEstoquePage;


    @Test
    public void GerarPosicaoDeEstoqueGrid(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        posicaoDeEstoqueFlows = new PosicaoDeEstoqueFlows();
        posicaoDeEstoquePage = new PosicaoDeEstoquePage();

        //Parameteres_login:
        String usuario = "sandro.silva@teknisa.com";
        String senha = "Teknisa@2022";
        //Parameteres_Lançamento:
        String quantidade = "1";
        String cmpDesc = "Testes Automatizados";
        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String descAlmoxarifado = "HELA MATRIZ";
        String descLote = "Teste Alan";
        String descUnidade = "HELA INGREDIENTES BRASIL";
        String descTipoDeCusto = "Custo Médio Líquido Atual";
        //Parameteres_Editar
        String quantidade2 = "2";
        String cmpDesc2 = "Deletar";
        String descProduto2 = "Ochsenbuillon Paste (Hela 7565810050001)";
        String descLote2 = "20013001";


        //Rotinas:
        loginFlows.efetuarLogin(usuario,senha);
        mainFlows.AcessandoPosicaoDeEstoque();
        posicaoDeEstoqueFlows.GerarPosicaoDeEstoque(descUnidade,descAlmoxarifado,descTipoDeCusto,descProduto);
        //ajusteInventarioFlows.adicionarAjusteIventario(quantidade,cmpDesc,descProduto,descAlmoxarifado,descLote);

    }

}
