const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const j = require('../../json/leitorJson.po.js');
const ajusteInventarioPage = require('../../page-objects/estoque/ajusteDeInventario.po.js');

describe('Ajuste de inventário com controle de estoque/lote/Almoxarifado', function () {

  beforeAll(async function(){
    await loginPage.login(j.getValor('login'), j.getValor('senha'), j.getValor('url'));
  });

  afterAll(async function(){
    browser.driver.close();
  });

  it('Verifica se página acessada é a de Ajuste de inventário', function() {
    ajusteInventarioPage.abrir();
    expect(z.component.header.getTitle()).toBe(j.getValor('telaEmTesteAjuste'));
  });

  it('Realiza lançamento de Ajuste', function(){
  	geral.clickAdicionar();
  	expect(z.component.alert.getText()).toBe(j.getValor('confirmacaoDoMomentoDeAjuste'));
  	z.component.alert.clickMessageOk();
  	ajusteInventarioPage.informarAbaAjusteDeInventario();
  	expect(element(by.css('#footer .zh-footer-right a span')).isPresent()).toBe(true);
  	geral.clickAdicionar();
  	//ajusteInventarioPage.informarAbaProduto();
  	//ajusteInventarioPage.verificaTelaConfirmacao();
  });
});